CFPRIME GETJK                                                           GETJK       1
C***********************************************************************RIGHTE      1
C*                                                                     *RIGHTE      2
C*               Output Analysis Program for ETMSP (OAP)               *RIGHTE      4
C*               =======================================               *RIGHTE      5
C*                                                                     *RIGHTE     11
C*        copyright @(1993) Electric Power Research Institute          *RIGHTE     12
C*                                                                     *RIGHTE     13
C* EPRI reserves all rights in the software and associated             *RIGHTE     14
C* documentation as delivered. The software and its associated         *RIGHTE     15
C* documention or any portion thereof may not be reproduced in any form*RIGHTE     16
C* whatsoever without the consent of EPRI, except as explicity provided*RIGHTE     17
C* for by license. Licensee shall submit a detailed description to EPRI*RIGHTE     18
C* of any changes or modifications to the software within two (2)      *RIGHTE     19
C* months after such changes or modifications are made. At EPRI's sole *RIGHTE     20
C* discretion, the software, as changed or modified, shall be given a  *RIGHTE     21
C* new designation sufficiently different from its then current        *RIGHTE     22
C* designation as to prevent mistake,confusion, or deception as between*RIGHTE     23
C* the current software as changed or modified.                        *RIGHTE     24
C*                                                                     *RIGHTE     25
C* A license under EPRI's rights in the software can be obtained       *RIGHTE     26
C* directly from EPRI.                                                 *RIGHTE     27
C*                                                                     *RIGHTE     28
C* This program and supporting materials may be independently available*RIGHTE     29
C* from Electric Power Software centre (EPSC) for an appropriate       *RIGHTE     30
C* distribution fee. The EPSC is a service of                          *RIGHTE     31
C*                                                                     *RIGHTE     32
C*                    Power Computing Company                          *RIGHTE     33
C*                    1930 Hi Line                                     *RIGHTE     34
C*                    Dallas, Tx 75207                                 *RIGHTE     35
C*                                                                     *RIGHTE     36
C* NEITHER EPRI, ANY MEMBER OF EPRI, NOR ANY PERSON OR  ORGANIZATION   *RIGHTE     37
C* ACTING ON BEHAVE OF THEM:                                           *RIGHTE     38
C*                                                                     *RIGHTE     39
C* 1. MAKE ANY WARRANTY OR REPRESENTATION WHATSOEVER, EXPRESS OR       *RIGHTE     40
C*    IMPLIED, INCLUDING ANY WARRANTY OF MERCHANTABILITY OR FITNESS OR *RIGHTE     41
C*    ANY PURPOSE WITH RESPECT TO THE SOFTWARE OR ITS ASSOCIATED       *RIGHTE     42
C*    DOCUMENTATION; OR                                                *RIGHTE     43
C*                                                                     *RIGHTE     44
C* 2. ASSUMES ANY LIABILITY WHATSOEVER WITH RESPECT TO ANY USE OF THE  *RIGHTE     45
C*    SOFTWARE OR ITS ASSOCIATED DOCUMENTATION OR ANY PORTION THEREOF  *RIGHTE     46
C*    OR WITH RESPECT TO ANY DAMAGES WHICH MAY RESULT FROM SUCH USE.   *RIGHTE     47
C*                                                                     *RIGHTE     48
C* THIS NOTICE MAY NOT BE REMOVED FROM THE SOFTWARE BY ANY USER        *RIGHTE     49
C* THEREOF.                                                            *RIGHTE     50
C*                                                                     *RIGHTE     51
C***********************************************************************RIGHTE     52
      SUBROUTINE GETJK(NLINE,JK,IU8,LOUT)                               GETJK       3
CCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCGETJK       4
CD                                                                      GETJK       5
CD           THIS ROUTINE READS IN THE RELAY FLAGS FROM CHANNEL FILE    GETJK       6
CD                                                                      GETJK       7
CD           CALLING PARAMETERS :                                       GETJK       8
CD                                                                      GETJK       9
CD                       NLINE  - LINE COUNTER                          GETJK      10
CD                       JK     - RELAY FLAG                            GETJK      11
CD                       IU8    - Unit number to read from              GETJK      12
CD                       LOUT   - OUTPUT LOGICAL UNIT NUMBER            GETJK      13
CD                                                                      GETJK      14
CCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCGETJK      15
C                                                                       GETJK      16
      COMMON /REC9/ IRECS,NREC,IREC9(128)                               GETJK      17
      COMMON /RECPT/ KRSTRT, ISTNAM, IIDARY, ITYARY, IHREC,ICHAN,       GETJK      18
     *          NPFL,LRREC,IRREC                                        GETJK      19
      LOGICAL IEND                                                      GETJK      20
      REAL*4  TBUF(128)                                                 GETJK      21
      INTEGER*4 JK,JRSKRS(128)                                          GETJK      22
      INCLUDE 'DBFLG.INS'                                               GETJK      23
C                                                                       GETJK      24
      LDEBUG=DEBUG(4)                                                   GETJK      25
C                                                                       GETJK      26
      KREC=INT(NLINE/128)+LRREC                                         GETJK      27
      KSLOT=MOD(NLINE,128)                                              GETJK      28
      IF(KSLOT.EQ.0) THEN                                               GETJK      29
         KSLOT=128                                                      GETJK      30
         KREC=KREC-1                                                    GETJK      31
      ENDIF                                                             GETJK      32
C                                                                       GETJK      33
C       READ IN JRSKRS RECORD                                           GETJK      34
      CALL DAIWR4(IU8,1,KREC,JRSKRS,128,IEND)                           GETJK      35
      IF(IEND) THEN                                                     GETJK      36
         WRITE(LOUT,1000)                                               GETJK      37
         RETURN                                                         GETJK      38
 1000    FORMAT(1X,'*** ERROR READING CHANNEL FILE RELAY FLAGS ***')    GETJK      39
      ENDIF                                                             GETJK      40
      JK=JRSKRS(KSLOT)                                                  GETJK      41
      RETURN                                                            GETJK      42
      END                                                               GETJK      43
